Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.appresources
Interface RPCWebServiceConnector

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, ResourceConnector, ServiceConnector

    public interface RPCWebServiceConnector

extends ServiceConnector

A representation of the model object 'RPC Web Service Connector'. Connettore per web-service di tipo RPC

The following features are supported:

- `Endpoint`

See Also:
  `AppresourcesPackage.getRPCWebServiceConnector()`

Method Summary
`WSEndpoint` | `getEndpoint()` Returns the value of the 'Endpoint' reference
`void` | `setEndpoint(WSEndpoint value)` Sets the value of the '`Endpoint`' reference

Methods inherited from interface it.csi.mddtools.appresources.ServiceConnector
`getBinding, getSelector, getServiceDef, isUseRegistry, setBinding, setSelector, setServiceDef, setUseRegistry`

Methods inherited from interface it.csi.mddtools.appresources.ResourceConnector
`getAnnotations, getCode, setCode`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEndpoint

    WSEndpoint getEndpoint()

  Returns the value of the 'Endpoint' reference. L'eventuale endpoint del servizio associato al connettore

  Returns:
    the value of the 'Endpoint' reference.
  See Also:
    `setEndpoint(WSEndpoint)`, `AppresourcesPackage.getRPCWebServiceConnector_Endpoint()`

### setEndpoint

    void setEndpoint(WSEndpoint value)

  Sets the value of the '`Endpoint`' reference.

  Parameters:
    `value` - the new value of the 'Endpoint' reference.
  See Also:
    `getEndpoint()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD